> ## Documentation Index
> Fetch the complete documentation index at: https://doc.raliopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit session for review

> Submit a KYB session for compliance review. This creates a business onboarding case.



## OpenAPI

````yaml post /api/v1/account/business-user/{uid}/kyb-sessions/{sessionId}/submit
openapi: 3.0.0
info:
  contact:
    email: support@tropipay.com
    name: Tropipay Support
    url: https://help.tropipay.com/contacto/
  description: Banking as a service API.
  title: RALIO API
  version: '1.0'
servers:
  - url: https://sandbox-revo-api.raliopay.com
security: []
paths:
  /api/v1/account/business-user/{uid}/kyb-sessions/{sessionId}/submit:
    post:
      tags:
        - kyb-sessions
      summary: Submit session for review
      description: >-
        Submit a KYB session for compliance review. This creates a business
        onboarding case.
      parameters:
        - description: Business User ID
          in: path
          name: uid
          required: true
          schema:
            type: string
        - description: Session ID
          in: path
          name: sessionId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dto.KybSessionResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httperror.ErrResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dto.KybSessionResponse:
      properties:
        createdAt:
          example: '2024-03-20T10:30:00Z'
          type: string
        documents:
          items:
            $ref: '#/components/schemas/dto.KybSessionDocumentResponse'
          type: array
        id:
          example: 5ada78ed-288f-43b5-b98c-890369e04fe3
          type: string
        kybId:
          example: 1
          type: integer
        state:
          example: CREATED
          type: string
        updatedAt:
          example: '2024-03-20T10:30:00Z'
          type: string
      type: object
    httperror.ErrResponse:
      properties:
        error:
          $ref: '#/components/schemas/httperror.ErrorData'
      type: object
    dto.KybSessionDocumentResponse:
      properties:
        category:
          example: COMPANY_INFO
          type: string
        createdAt:
          example: '2024-03-20T10:35:00Z'
          type: string
        fileName:
          example: articles.pdf
          type: string
        fileSize:
          example: 245678
          type: integer
        id:
          example: fa6ac4d6-6a39-4112-a47d-5927817d798e
          type: string
        kybSessionId:
          example: 5ada78ed-288f-43b5-b98c-890369e04fe3
          type: string
        type:
          example: MEMORANDUM_ARTICLES
          type: string
        updatedAt:
          example: '2024-03-20T10:35:00Z'
          type: string
      type: object
    httperror.ErrorData:
      properties:
        code:
          $ref: '#/components/schemas/httperror.ErrorCode'
        details:
          items:
            $ref: '#/components/schemas/httperror.ErrorDetails'
          type: array
        message:
          type: string
        type:
          $ref: '#/components/schemas/httperror.ErrorType'
      type: object
    httperror.ErrorCode:
      enum:
        - INVALID_REQUEST
        - UNAUTHORIZED
        - FORBIDDEN
        - NOT_FOUND
        - INTERNAL_SERVER_ERROR
        - UNKNOWN_ERROR
        - NOT_IMPLEMENTED
        - TOO_MANY_REQUESTS
        - QUOTE_EXPIRED
        - BAD_GATEWAY
      type: string
      x-enum-varnames:
        - InvalidRequestCode
        - UnauthorizedCode
        - ForbiddenCode
        - NotFoundCode
        - InternalServerCode
        - UnknownErrorCode
        - NotImplementedCode
        - TooManyRequestsCode
        - QuoteExpiredCode
        - BadGatewayCode
    httperror.ErrorDetails:
      properties:
        field:
          type: string
        message:
          type: string
      type: object
    httperror.ErrorType:
      enum:
        - VALIDATION_ERROR
        - CONFLICT_ERROR
        - UNPROCESSABLE_ERROR
        - AUTHENTICATION_ERROR
        - AUTHORIZATION_ERROR
        - NOT_FOUND_ERROR
        - INTERNAL_ERROR
        - NOT_IMPLEMENTED_ERROR
        - UNKNOWN_ERROR
        - RATE_LIMIT_ERROR
        - BAD_GATEWAY_ERROR
      type: string
      x-enum-varnames:
        - ValidationError
        - ConflictError
        - UnprocessableError
        - AuthenticationError
        - AuthorizationError
        - NotFoundError
        - InternalError
        - NotImplementedError
        - UnknownError
        - RateLimitError
        - BadGatewayError
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Key for accessing management endpoints
      x-mint-auth-type: bearer

````